Bug 1433980 - VM extend retirement fails
Summary: VM extend retirement fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Tina Fitzgerald
QA Contact: Mike Shriver
URL:
Whiteboard: retirement
Depends On: 1427503
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 13:44 UTC by Satoe Imaishi
Modified: 2020-04-15 15:31 UTC (History)
9 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1427503
Environment:
Last Closed: 2017-04-12 14:45:40 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-20 14:55:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/92d185a740c6ce8324fee4f58e2d0aa242fde3bf

commit 92d185a740c6ce8324fee4f58e2d0aa242fde3bf
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Mar 16 12:10:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 20 10:24:04 2017 -0400

    Merge pull request #14143 from tinaafitz/retire_extends_on_fix
    
    Fix extend_retires_on method for number of days.
    (cherry picked from commit f20cab897166492f3fe8e766d2b57e69769c7420)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1433980

 app/models/mixins/retirement_mixin.rb              |  5 ++--
 .../service_methods/miq_ae_service_service_spec.rb | 25 ++++++++++++--------
 .../service_methods/miq_ae_service_vm_spec.rb      | 27 +++++++++++++---------
 3 files changed, 34 insertions(+), 23 deletions(-)

Comment 3 CFME Bot 2017-03-20 14:56:01 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/647760573e46e2807718b862d4dcdc78500a1881

commit 647760573e46e2807718b862d4dcdc78500a1881
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Mar 17 17:00:58 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 20 10:53:43 2017 -0400

    Merge pull request #62 from psachin/BZ#1427503
    
    Fixes VM extend retirement
    (cherry picked from commit f8add0c3bb362acf41f4607d790dbe0a2957e120)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1433980

 .../Cloud/VM/Retirement/Email.class/__methods__/vm_retire_extend.rb     | 2 +-
 .../VM/Retirement/Email.class/__methods__/vm_retire_extend.rb           | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 5 Mike Shriver 2017-03-27 18:10:38 UTC
Verified in CFME 5.7.2.0

A rhevm virtual machine with a set retirement date can have its retirement date extended by using the automation buttons.  The retirement date was extended the default value of 14 days past the originally set date.

Comment 6 errata-xmlrpc 2017-04-12 14:45:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.